Package org.opensaml.saml.saml1.core.impl

# Class ActionImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSStringImpl
org.opensaml.saml.saml1.core.impl.ActionImpl

All Implemented Interfaces:
  `XSString`, `XMLObject`, `SAMLObject`, `Action`

public class ActionImpl extends XSStringImpl implements Action
Concrete implementation of `Action`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`namespace`
Place to store the namespace.

### Fields inherited from interface org.opensaml.saml.saml1.core.Action

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, NAMESPACE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ActionImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespace()`
Return the value of Namespace.
`void`
`setNamespace(String ns)`
Set the value of Namespace.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSStringImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### namespace

@Nullable private String namespace
Place to store the namespace.

## Constructor Details

### ActionImpl

protected ActionImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNamespace

@Nullable public String getNamespace()
Return the value of Namespace.

Specified by:
  `getNamespace` in interface `Action`
Returns:
  the namespace

### setNamespace

public void setNamespace(@Nullable String ns)
Set the value of Namespace.

Specified by:
  `setNamespace` in interface `Action`
Parameters:
  `ns` - what to set